%define major       0
%define libname     %mklibname %{name} %{major}
%define develname   %mklibname %{name} -d

Name:           synfig
Version:        1.5.3
Release:        %mkrel 2
Summary:        Vector-based 2D animation renderer
Group:          Graphics/Editors and Converters
License:        GPLv2+
URL:            https://www.synfig.org/
Source0:        https://downloads.sf.net/synfig/%{name}-%{version}.tar.gz
Patch1:         synfig-1.5.3-optflags.patch

BuildRequires:  cvs
BuildRequires:  intltool
BuildRequires:  boost-devel
BuildRequires:  ffmpeg-devel
BuildRequires:  gettext-devel
BuildRequires:  libltdl-devel
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(ETL) >= %{version}
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libxml++-2.6)
BuildRequires:  pkgconfig(mlt++-7)
BuildRequires:  pkgconfig(OpenEXR)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(pangocairo)
BuildRequires:  pkgconfig(sigc++-2.0)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libmng)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(ImageMagick)

Requires:       libdv-apps
Requires:       imagemagick
Requires:       ffmpeg

%description
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the command-line renderer. For the GUI animation
editor, please install synfigstudio.

%package -n %{libname}
Summary:        Shared library for %{name}
Group:          System/Libraries

%description -n %{libname}
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the shared library provided by synfig.

%package -n %{develname}
Summary:        Development headers and libraries for %{name}
Group:          Development/C++
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the development files for the shared library
provided by synfig.

%prep
%autosetup -p1

%build
autoreconf -fi
intltoolize --copy --force
%configure \
    --disable-static \
    --with-imagemagick
%make_build

%install
%make_install

%find_lang %{name}

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%doc AUTHORS README NEWS TODO
%config %{_sysconfdir}/%{name}_modules.cfg
%{_bindir}/%{name}
%{_libdir}/%{name}/

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%{_bindir}/%{name}-config
%{_includedir}/%{name}-*/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sun Dec 08 2024 daviddavid <daviddavid> 1.5.3-2.mga10
+ Revision: 2122656
- rebuild for new ffmpeg 7.1

* Thu Nov 07 2024 daviddavid <daviddavid> 1.5.3-1.mga10
+ Revision: 2112969
- new version: 1.5.3

* Thu Aug 08 2024 daviddavid <daviddavid> 1.5.2-1.mga10
+ Revision: 2084106
- new version: 1.5.2

* Mon May 20 2024 daviddavid <daviddavid> 1.5.1-4.mga10
+ Revision: 2065322
- add fedora patch to fix build with autoconf 2.72

* Tue Sep 20 2022 papoteur <papoteur> 1.5.1-3.mga9
+ Revision: 1890816
- new 1.5.1
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ luigiwalser <luigiwalser>
- 1.5.1
+ mrambo3501 <mrambo3501>
- rebuild for ffmpeg 5.0

* Mon Dec 27 2021 ghibo <ghibo> 1.4.2-3.mga9
+ Revision: 1764376
- Add Patch for building against latest mlt-7

* Sat Dec 25 2021 wally <wally> 1.4.2-2.mga9
+ Revision: 1763680
- rebuild for openexr 3.1.3

* Sun Sep 12 2021 wally <wally> 1.4.2-1.mga9
+ Revision: 1745223
- new version 1.4.2
- rebuild for boost 1.77.0
- rebuild for boost 1.76.0

* Sat Feb 27 2021 neoclust <neoclust> 1.2.2-12.mga9
+ Revision: 1692890
- Rebuild against new imagemagick

* Thu Dec 31 2020 wally <wally> 1.2.2-11.mga8
+ Revision: 1666822
- rebuild for boost 1.75.0

* Sun Dec 20 2020 wally <wally> 1.2.2-10.mga8
+ Revision: 1662064
- rebuild for boost 1.74.0

* Mon Nov 16 2020 kekepower <kekepower> 1.2.2-9.mga8
+ Revision: 1646570
- Rebuild for new Imagemagick lib major

* Sat Nov 07 2020 joequant <joequant> 1.2.2-8.mga8
+ Revision: 1643358
- rebuild

* Sat Sep 26 2020 tv <tv> 1.2.2-7.mga8
+ Revision: 1630185
- rebuild for new libIlmImf

* Sun May 03 2020 wally <wally> 1.2.2-6.mga8
+ Revision: 1578118
- rebuild for boost 1.73.0

* Wed Feb 19 2020 umeabot <umeabot> 1.2.2-5.mga8
+ Revision: 1544929
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 wally <wally> 1.2.2-4.mga8
+ Revision: 1483441
- rebuild for boost 1.72.0
- replace deprecated %%configure2_5x

* Mon Dec 30 2019 kekepower <kekepower> 1.2.2-3.mga8
+ Revision: 1474954
- Rebuild for new imagemagick

* Mon Nov 18 2019 zezinho <zezinho> 1.2.2-2.mga8
+ Revision: 1461684
- rebuild against MLT 6.18

* Mon Oct 22 2018 daviddavid <daviddavid> 1.2.2-1.mga7
+ Revision: 1323677
- new version: 1.2.2
- remove merged upstream patch

* Tue Oct 16 2018 wally <wally> 1.2.1-11.mga7
+ Revision: 1321104
- rebuild for new boost 1.68.0

* Tue Oct 16 2018 daviddavid <daviddavid> 1.2.1-10.mga7
+ Revision: 1320930
- rebuild for new ilmbase and openexr 2.3.0

* Sun Sep 23 2018 umeabot <umeabot> 1.2.1-9.mga7
+ Revision: 1301281
- Mageia 7 Mass Rebuild

* Sun May 27 2018 wally <wally> 1.2.1-8.mga7
+ Revision: 1232431
- rebuild for openexr 2.2.1

* Wed May 02 2018 kekepower <kekepower> 1.2.1-7.mga7
+ Revision: 1224494
- Rebuild for ImageMagic 7.0.7.29

* Sun Jan 21 2018 daviddavid <daviddavid> 1.2.1-6.mga7
+ Revision: 1195394
- add patch from opensuse to fix build with new imagemagick-7
+ wally <wally>
- rebuild for new imagemagick

* Sat Jan 13 2018 wally <wally> 1.2.1-5.mga7
+ Revision: 1192570
- rebuild for new ilmbase

* Wed Dec 27 2017 wally <wally> 1.2.1-4.mga7
+ Revision: 1185718
- rebuild for new imagemagick

* Mon Dec 25 2017 wally <wally> 1.2.1-3.mga7
+ Revision: 1184713
- rebuild for new boost

* Tue Nov 21 2017 tv <tv> 1.2.1-2.mga7
+ Revision: 1178102
- rebuild for boost 1.65

* Thu Sep 21 2017 cjw <cjw> 1.2.1-1.mga7
+ Revision: 1156905
- add BuildRequires: intltool
- 1.2.1
- add patch from fedora to make use of system compile flags
+ tv <tv>
- rebuild with latest boost

* Sat May 27 2017 shlomif <shlomif> 1.2.0-3.mga6
+ Revision: 1105202
- rebuild for new imagemagick

* Tue May 02 2017 akien <akien> 1.2.0-2.mga6
+ Revision: 1098323
- Rebuild for ffmpeg 3.3

* Wed Jan 11 2017 akien <akien> 1.2.0-1.mga6
+ Revision: 1081105
- Version 1.2.0

* Tue Jan 12 2016 akien <akien> 1.0.2-1.mga6
+ Revision: 922221
- Version 1.0.2

* Sun Dec 27 2015 daviddavid <daviddavid> 1.0.1-4.mga6
+ Revision: 916131
- rebuild for new boost 1.60.0

* Sat Sep 26 2015 fwang <fwang> 1.0.1-3.mga6
+ Revision: 883758
- rebuild for new boost

* Tue Aug 25 2015 cjw <cjw> 1.0.1-2.mga6
+ Revision: 869373
- rebuild with gcc 5

* Fri Jul 31 2015 wally <wally> 1.0.1-1.mga6
+ Revision: 860024
- new version 1.0.1
- drop unneeded patches and build fixes from .spec
- add a patch to fix build
- update buildrequires
+ daviddavid <daviddavid>
- rebuild for new boost-1.58.0

* Wed Jun 24 2015 daviddavid <daviddavid> 0.64.1-7.mga6
+ Revision: 842334
- rebuild for new ImageMagick

* Wed Oct 15 2014 umeabot <umeabot> 0.64.1-6.mga5
+ Revision: 746891
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.64.1-5.mga5
+ Revision: 689656
- Mageia 5 Mass Rebuild

* Sun Aug 24 2014 luigiwalser <luigiwalser> 0.64.1-4.mga5
+ Revision: 667001
- rebuild for ilmbase and OpenEXR

* Sat Aug 23 2014 fwang <fwang> 0.64.1-3.mga5
+ Revision: 666787
- rebuild for imagemagick

* Thu May 01 2014 luigiwalser <luigiwalser> 0.64.1-2.mga5
+ Revision: 619156
- rebuild for ilmbase

* Sun Feb 16 2014 dams <dams> 0.64.1-1.mga5
+ Revision: 592487
- new version 0.64.1

* Sat Feb 08 2014 barjac <barjac> 0.64.0-9.mga5
+ Revision: 586785
- rebuild against boost-1.55

* Sat Oct 19 2013 umeabot <umeabot> 0.64.0-8.mga4
+ Revision: 535200
- Mageia 4 Mass Rebuild

* Thu Sep 19 2013 fwang <fwang> 0.64.0-7.mga4
+ Revision: 481494
- rebuild for new imagemagick

* Thu Sep 12 2013 fwang <fwang> 0.64.0-6.mga4
+ Revision: 477860
- rebuild for new openexr

* Tue Aug 27 2013 tv <tv> 0.64.0-5.mga4
+ Revision: 472375
- rebuild for new libmng

* Wed Aug 07 2013 fwang <fwang> 0.64.0-4.mga4
+ Revision: 464412
- rebuild for new imagemagick

* Tue Jul 09 2013 fwang <fwang> 0.64.0-3.mga4
+ Revision: 451656
- rebuild for new boost

* Tue Jun 04 2013 fwang <fwang> 0.64.0-2.mga4
+ Revision: 437023
- fix build with libpng 1.6
- rebuild for new libpng

* Tue May 28 2013 fwang <fwang> 0.64.0-1.mga4
+ Revision: 429254
- br boost
- update br
- bump req
- new version 0.64.0

* Tue May 28 2013 fwang <fwang> 0.63.05-8.mga4
+ Revision: 429192
- rebuild for new imagemagick

* Mon Jan 14 2013 umeabot <umeabot> 0.63.05-7.mga3
+ Revision: 383912
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Editors -> Graphics/Editors and Converters

* Fri Dec 14 2012 fwang <fwang> 0.63.05-6.mga3
+ Revision: 330783
- rebuild for new imagemagick

* Sun Dec 02 2012 fwang <fwang> 0.63.05-3.mga3
+ Revision: 325023
- rebuild for new openexr

* Fri Oct 12 2012 fwang <fwang> 0.63.05-2.mga3
+ Revision: 305138
- rebuild for new imagemagick

* Fri Jun 08 2012 fwang <fwang> 0.63.05-1.mga3
+ Revision: 257353
- bump req on etl
- new version 0.63.05

* Tue Feb 14 2012 wally <wally> 0.63.04-1.mga2
+ Revision: 208923
- new version 0.63.04

* Mon Dec 12 2011 fwang <fwang> 0.63.03-1.mga2
+ Revision: 181030
- new version 0.63.03

* Fri Sep 30 2011 fwang <fwang> 0.63.02-1.mga2
+ Revision: 150547
- new version 0.63.02

* Sun Sep 25 2011 fwang <fwang> 0.63.01-1.mga2
+ Revision: 147666
- new version 0.63.01

* Sat Sep 17 2011 fwang <fwang> 0.63.00-3.mga2
+ Revision: 144477
- fix patch
- mre patch for libpng 1.5
- fix build with libpng1.5
- rebuild for new imagemagick
+ wally <wally>
- really disable static build
- enable support for ImageMagick
- disable static build
- new version 0.63.00
- imported package synfig


* Thu Jun 16 2011 Jani Välimaa <wally@mandriva.org> 0.62.02-2mdv2011.0
+ Revision: 685639
- move synfig-config to a -devel subpackage
- drop old scriptlets

* Mon Apr 18 2011 Jani Välimaa <wally@mandriva.org> 0.62.02-1
+ Revision: 655864
- new version 0.62.02
- drop buildroot definition

* Wed Dec 08 2010 Funda Wang <fwang@mandriva.org> 0.62.00-2mdv2011.0
+ Revision: 615915
- fix build with gcc 4.5
- drop unused patch

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.1 packages

* Sat Jan 16 2010 Funda Wang <fwang@mandriva.org> 0.62.00-1mdv2010.1
+ Revision: 492149
- New version 0.62.00

* Fri Sep 18 2009 Funda Wang <fwang@mandriva.org> 0.61.09-2mdv2010.0
+ Revision: 444251
- fix build with gcc 4.4

* Sun Oct 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.61.09-1mdv2009.1
+ Revision: 297313
- import synfig


